package iot.lidee.iot.data.job;

import iot.lidee.iot.service.IDeviceService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * 定时删除设备日志
 * @author gsb
 * @date 2024/4/11 10:33
 */
@Component("DevLogDeleteJob")
@Slf4j
public class DevLogDeleteJob {
    @Resource
    private IDeviceService deviceService;

    /**
     * 定期删除设备日志
     */
    public void devLogDelete() {
        log.info("------------------[定时删除设备日志]---------------------");
        deviceService.devLogDelete();
        log.info("------------------[删除设备日志完成]---------------------");

    }
}
